Subject: Re: Q: how to build GNU make from scratch ?
From: Heiko Nardmann <[email-masked]>
To: [email-masked]
Date: Fri, 24 Oct 2003 13:40:53 +0200

On Freitag, 24. Oktober 2003 08:21, Heiko Nardmann wrote:
> On Freitag, 24. Oktober 2003 07:45, Heiko Nardmann wrote:
> > Hi!
> >
> > I just unpacked the original GNU make sources and now am unsure about how
> > to build this thing. Calling './configure' does not give any output on
> > the shell. Is there any other way for GNU make?
>
> I traced my problem with configure further down to the basename call in
> line 58. It does not come back. I am not sure whether /bin/sh has a builtin
> basename or it is using the external /usr/bin/basename. The later is
> working fine at my bash prompt.
>

After having no luck with my local machine having XP and some patches 
installed locally I switched to our VmWare server and grabbed a copy of the 
pure XP master without any patches. Then I installed current CygWin from 
scratch and what a wonder - it works now.

So now I am not sure whether my CygWin setup is broken (less probabilistic) or 
whether my Win XP setup is broken (more probabilistic).

> Changing /bin/sh to /bin/bash at the start of the configure script gets me
> slightly further. I now get the following output:
>
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for gawk... gawk
> checking whether make sets ${MAKE}... ./configure: fork: Resource
> temporarily unavailable
>
> and here again make seems to hang ...
>
> I am going to try it without configure and make ... :-(
>

- -- 
Heiko Nardmann (Dipl.-Ing. Technische Informatik)
secunet Security Networks AG - Sicherheit in Netzwerken (www.secunet.de),
Weidenauer Str. 223-225, D-57076 Siegen
Tel. : +49 271 48950-13, Fax  : +49 271 48950-50

Besuchen Sie uns
vom 20. - 24.10.2003 auf der Systems in München, Halle B2, Stand 315 und
vom 06. - 08.11.2003 auf der Comtec in Dresden, Halle 4, Stand B5.
Wir freuen uns auf das Gespräch mit Ihnen.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/